GNU Radio 2.x: gr_sig_source_f Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_sig_source_f Class Reference
[Signal Sources]

`#include <gr_sig_source_f.h>`

Inheritance diagram for gr_sig_source_f:

[legend]
Collaboration diagram for gr_sig_source_f:

[legend]
List of all members.

## Detailed Description

signal generator with float output.

## Public Member Functions
virtual int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
| just like gr_block::general_work, only this arranges to call consume_each for you
double | sampling_freq () const
gr_waveform_t | waveform () const
double | frequency () const
double | amplitude () const
float | offset () const
void | set_sampling_freq (double sampling_freq)
void | set_waveform (gr_waveform_t waveform)
void | set_frequency (double frequency)
void | set_amplitude (double ampl)
void | set_offset (float offset)
## Friends
gr_sig_source_f_sptr | gr_make_sig_source_f (double sampling_freq, gr_waveform_t waveform, double frequency, double ampl, float offset)

## Member Function Documentation

double gr_sig_source_f::amplitude | ( |  | ) | const`[inline]`

double gr_sig_source_f::frequency | ( |  | ) | const`[inline]`

float gr_sig_source_f::offset | ( |  | ) | const`[inline]`

double gr_sig_source_f::sampling_freq | ( |  | ) | const`[inline]`

void gr_sig_source_f::set_amplitude | ( | double | ampl | ) |

void gr_sig_source_f::set_frequency | ( | double | frequency | ) |

void gr_sig_source_f::set_offset | ( | float | offset | ) |

void gr_sig_source_f::set_sampling_freq | ( | double | sampling_freq | ) |

void gr_sig_source_f::set_waveform | ( | gr_waveform_t | waveform | ) |

gr_waveform_t gr_sig_source_f::waveform | ( |  | ) | const`[inline]`

int gr_sig_source_f::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) | `[virtual]`

| just like gr_block::general_work, only this arranges to call consume_each for you The user must override work to define the signal processing code Implements gr_sync_block.

## Friends And Related Function Documentation

gr_sig_source_f_sptr gr_make_sig_source_f | ( | double | sampling_freq,
|  | gr_waveform_t | waveform,
|  | double | frequency,
|  | double | ampl,
|  | float | offset
| ) | `[friend]`

The documentation for this class was generated from the following files:

- gr_sig_source_f.h
- gr_sig_source_f.cc